/* Constant.java - trida reprezentujici konstantu pouzivana prekladacem
 *
 * Michal Beran, berny@students.zcu.cz
 * 4.1.2001  
 */

package pl0prog;

public class Constant extends Identifier {
	/** Hodnota konstanty */
	private int val; 

    /** Konstruktor konstanty,
	  * @param name identifikator konstanty,
	  * @param value hodnota konstanty.
	  */
	public Constant(String name, int value) {Name = name; val = value;};

	/** Vraci hodnotu konstanty.
	  * @return hodnota konstanty.
	  */
	public int getValue() {return val;};

	/** Metoda vracejici charakteristicky retezec popisujici 
	  * tridu Constant 
	  * @return informacni retezec.
	  */
	public String toString() {
		return new String ("Constant Name = " + Name + ", Value = " + val);
	}
}
