/* Variable.java - reprezentace promenne jazyka PL/0
 *
 * Michal Beran, berny@students.zcu.cz
 * 4.1.2001
 */

package pl0prog;
 
/* Trida reprezentujici promennou */
public class Variable extends Locatable {

	/** Konstruktor promenne.
	  * @param name identifikator promenne,
	  * @param adresa,
	  * @param lev uroven zanoreni promenne.
	  */
	public Variable(String name, int addr, int lev) { 
		Name = name; address = addr; level = lev; 
	}

	/** Metoda vracejici charakteristicky retezec popisujici 
	  * tridu Variable.
	  * @return informacni retezec.
	  */	
	public String toString() {
		return new String ("Variable Name = " + Name + ", Address = " + address + 
			", Level = " + level);
	}
}
