
 { A sample Lex program from Aho/Sethi/Ullman }

  uses LexLib;

%{    LT,LE,EQ,NE,GT,GE,
      IF,THEN,ELSE,ID,NUMBER,RELOP
}%

(* Regulre Definitionen *)

delim     [\t\n]
ws        {delim}+
letter    [A-Za-z]
digit     [0-9]
id        {letter}({letter}|{digit})*
number    {digit}+(\.{digit}+)?(E[\-]?{digit}+)?

%%

{ws}      (* keine Aktion, keine Rckkehr zum Rufer *)
if        return(IF);
then      return(ELSE);
else      return(ELSE);
{id}      return(ID);
{number}  return(NUMBER);
"<"       return(RELOP);
"<="      return(RELOP);
"="       return(RELOP);
"<>"      return(RELOP);
">"       return(RELOP);
">="      return(RELOP);


%%

begin
  if yylex=0 then { done }
end.
